Search or ask Docker

Get plugin privileges

GET /plugins/privileges — Docker Engine API 1.57.

View Markdown
GET/plugins/privileges

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

remote query Required

The name of the plugin. The :latest tag is optional, and is the default if omitted.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

no error

application/json

Type: array

Array item

Schema: PluginPrivilege

All schema constraints and annotations
{
  "example": [
    {
      "Description": "",
      "Name": "network",
      "Value": [
        "host"
      ]
    },
    {
      "Description": "",
      "Name": "mount",
      "Value": [
        "/data"
      ]
    },
    {
      "Description": "",
      "Name": "device",
      "Value": [
        "/dev/cpu_dma_latency"
      ]
    }
  ],
  "items": {
    "$ref": "#/components/schemas/PluginPrivilege"
  },
  "type": "array"
}

Schema example

[
  {
    "Description": "",
    "Name": "network",
    "Value": [
      "host"
    ]
  },
  {
    "Description": "",
    "Name": "mount",
    "Value": [
      "/data"
    ]
  },
  {
    "Description": "",
    "Name": "device",
    "Value": [
      "/dev/cpu_dma_latency"
    ]
  }
]

Response 200

no error

text/plain

Type: array

Array item

Schema: PluginPrivilege

All schema constraints and annotations
{
  "example": [
    {
      "Description": "",
      "Name": "network",
      "Value": [
        "host"
      ]
    },
    {
      "Description": "",
      "Name": "mount",
      "Value": [
        "/data"
      ]
    },
    {
      "Description": "",
      "Name": "device",
      "Value": [
        "/dev/cpu_dma_latency"
      ]
    }
  ],
  "items": {
    "$ref": "#/components/schemas/PluginPrivilege"
  },
  "type": "array"
}

Schema example

[
  {
    "Description": "",
    "Name": "network",
    "Value": [
      "host"
    ]
  },
  {
    "Description": "",
    "Name": "mount",
    "Value": [
      "/data"
    ]
  },
  {
    "Description": "",
    "Name": "device",
    "Value": [
      "/dev/cpu_dma_latency"
    ]
  }
]

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

#/components/schemas/PluginPrivilege

Complete operation contract
{
  "operationId": "GetPluginPrivileges",
  "parameters": [
    {
      "description": "The name of the plugin. The `:latest` tag is optional, and is the\ndefault if omitted.\n",
      "in": "query",
      "name": "remote",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "example": [
              {
                "Description": "",
                "Name": "network",
                "Value": [
                  "host"
                ]
              },
              {
                "Description": "",
                "Name": "mount",
                "Value": [
                  "/data"
                ]
              },
              {
                "Description": "",
                "Name": "device",
                "Value": [
                  "/dev/cpu_dma_latency"
                ]
              }
            ],
            "items": {
              "$ref": "#/components/schemas/PluginPrivilege"
            },
            "type": "array"
          }
        },
        "text/plain": {
          "schema": {
            "example": [
              {
                "Description": "",
                "Name": "network",
                "Value": [
                  "host"
                ]
              },
              {
                "Description": "",
                "Name": "mount",
                "Value": [
                  "/data"
                ]
              },
              {
                "Description": "",
                "Name": "device",
                "Value": [
                  "/dev/cpu_dma_latency"
                ]
              }
            ],
            "items": {
              "$ref": "#/components/schemas/PluginPrivilege"
            },
            "type": "array"
          }
        }
      },
      "description": "no error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Get plugin privileges",
  "tags": [
    "Plugin"
  ]
}